package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-05-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Schema
public class User extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名称
     */
    @Schema(title = "名称")
    private String name;

    /**
     * 小程序唯一标识
     */
    @Schema(title = "小程序唯一标识")
    @TableField("openid")
    private String openid;

    /**
     * 登录token
     */
    @Schema(title = "登录token")
    private String token;

    /**
     * 昵称
     */
    @Schema(title = "昵称")
    private String nickname;

    /**
     * 性别:1男；2女
     */
    @Schema(title = "性别",description ="1男；2女。" )
    private Integer gender;

    /**
     * 头像
     */
    @Schema(title = "头像")
    private String avatar;

    /**
     * 企业微信下用户id
     */
    @Schema(title = "企业微信下用户id")
    private String userid;

    /**
     * 部门id
     */
    @Schema(title = "部门id")
    @TableField("main_department")
    private Integer main_department;

    /**
     * 最高级部门id
     */
    @Schema(title = "最高级部门id")
    @TableField("sub_department")
    private Integer sub_department;
    /**
     * 创建时间
     */
    @TableField("creatAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatAt;

    /**
     * 更新时间
     */
    @TableField("updateAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;

    /**
     * 手机号
     */
    @Schema(title = "手机号")
    private String tel;

    /**
     * 上次登录时间
     */
    @TableField("lastLoginAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime lastLoginAt;

    /**
     * 当前积分
     */
    @Schema(title = "当前积分")
    private Integer points;

    /**
     * 历史积分
     */
    @TableField("historyPoints")
    @Schema(title = "历史积分")
    private Integer historyPoints;

}
