package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-06-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("userAccount")
public class UserAccount extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("userId")
    private Integer userId;

    @NotNull(message = "账号名称不能为空")
    private String name;

    /**
     * 平台账号
     */
    @NotNull(message = "账号不能为空")
    private String account;

    @NotNull(message = "手机号不能为空")
//    @Pattern(regexp = "^[1]\\\\d{10}$",message = "请输入正确的手机号")
    private String tel;

    /**
     * 平台：1抖音；2快手；3朋友圈；4视频号
     */
    @NotNull(message = "平台信息不能为空")
    @Schema(title = "平台",description = "1抖音；2快手；3朋友圈；4视频号")
    @Min(value = 1,message ="选择范围为：1抖音；2快手；3朋友圈；4视频号" )
    @Max(value = 4,message = "选择范围为：1抖音；2快手；3朋友圈；4视频号")
    private Integer platform;

    /**
     * 验证图片
     */
    @Schema(title = "验证图片")
    @NotNull(message = "验证图片不能为空")
    @TableField("validImg")
    private String validImg;

    /**
     * 账号状态：0审核中；1审核通过；2审核拒绝；3已停用
     */
    @Schema(title = "账号状态",description = "0审核中；1审核通过；2审核拒绝；3已停用")
    private Integer status;

    @Schema(title = "拒绝原因")
    private String reason;
    @TableField("creatAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatAt;

    @TableField("updateAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;
}
