package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.mapper.UserMapper;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.User;
import com.zh.project0512.service.IUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-18
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService {
    @Autowired
    private UserMapper userMapper;

    public User selByOpenid(String openid) {
        return userMapper.selByOpenid(openid);
    }
    public Map selByOpenid2(@Param("openid") String openid) {
        return userMapper.selByOpenid2(openid);
    }
    public void updByOpenid(String openid, String token, LocalDateTime time) {
        userMapper.updByOpenid(openid, token, time);
    }
    public IPage<Map> userDpList(IPage iPage, @Param("ew") Wrapper<User> queryWrapper){
        return userMapper.userDpList(iPage,queryWrapper);
    }
}
